#
# spec file for package ghc-true-name
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name true-name
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.1.0.2
Release:        lp150.1.8
Summary:        Template Haskell hack to violate module abstractions
License:        BSD-3-Clause
Group:          System/Libraries
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-template-haskell-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-time-devel
%endif
# End cabal-rpm deps

%description
<http://tvtropes.org/pmwiki/pmwiki.php/Main/IKnowYourTrueName Knowing a true
name gives one power over its owner>.

A Template Haskell hack to get unexported 'Name's―be they types, data
constructors, record fields or class methods―a slightly less unsafe way to
violate another module's abstractions than 'unsafeCoerce'.

A few <https://github.com/liyang/true-name/blob/master/sanity.hs quick
examples>.

I'm too lazy to keep a changelog, but I do write
<https://github.com/liyang/true-name/commits/master detailed commit messages>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%if %{with tests}
%{cabal} test
%endif


%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.1.0.2 revision 0 with cabal2obs.
